summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDirkjan Ochtman <djc@gentoo.org>2010-05-27 11:47:13 +0000
committerDirkjan Ochtman <djc@gentoo.org>2010-05-27 11:47:13 +0000
commit608037f664fde7d89d25878c2f53d459d79b514d (patch)
tree611a4609835bf69bd95c5868977829d073ebd31c /net-im/prosody/files
parentprevent building on >=2.6.25 (#274744, #272494, #272494) (diff)
downloadgentoo-2-608037f664fde7d89d25878c2f53d459d79b514d.tar.gz
gentoo-2-608037f664fde7d89d25878c2f53d459d79b514d.tar.bz2
gentoo-2-608037f664fde7d89d25878c2f53d459d79b514d.zip
Initial version of net-im/prosody (bug 290594).
(Portage version: 2.1.8.3/cvs/Linux x86_64)
Diffstat (limited to 'net-im/prosody/files')
-rw-r--r--net-im/prosody/files/prosody-0.6.2-cfg.lua.patch17
-rw-r--r--net-im/prosody/files/prosody.initd46
2 files changed, 63 insertions, 0 deletions
diff --git a/net-im/prosody/files/prosody-0.6.2-cfg.lua.patch b/net-im/prosody/files/prosody-0.6.2-cfg.lua.patch
new file mode 100644
index 000000000000..338daef54a64
--- /dev/null
+++ b/net-im/prosody/files/prosody-0.6.2-cfg.lua.patch
@@ -0,0 +1,17 @@
+--- prosody.cfg.lua.old 2010-05-27 11:10:45.000000000 +0200
++++ prosody.cfg.lua.dist 2010-05-27 11:12:21.000000000 +0200
+@@ -16,6 +16,14 @@
+ -- Settings in this section apply to the whole server and are the default settings
+ -- for any virtual hosts
+
++prosody_user = "jabber"
++prosody_group = "jabber"
++pidfile = "/var/run/jabber/prosody.pid"
++
++log = "/var/log/jabber/prosody.log"
++-- Requires mod_posix to be loaded
++-- log = "*syslog"
++
+ -- This is a (by default, empty) list of accounts that are admins
+ -- for the server. Note that you must create the accounts separately
+ -- (see http://prosody.im/doc/creating_accounts for info)
diff --git a/net-im/prosody/files/prosody.initd b/net-im/prosody/files/prosody.initd
new file mode 100644
index 000000000000..02a1fdc79516
--- /dev/null
+++ b/net-im/prosody/files/prosody.initd
@@ -0,0 +1,46 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/prosody/files/prosody.initd,v 1.1 2010/05/27 11:47:12 djc Exp $
+
+description="Prosody is a server for Jabber/XMPP written in Lua."
+description_reload="Reload configuration and reopen log files."
+extra_started_commands="reload"
+
+PIDFILE="/var/run/jabber/prosody.pid"
+USER="jabber"
+COMMAND="/usr/bin/prosody"
+
+depend() {
+ use dns
+ need net
+ provide jabber-server
+}
+
+checkconfig() {
+ if [ ! -e /etc/jabber/prosody.cfg.lua ] ; then
+ eerror "You need a /etc/jabber/prosody.cfg.lua file to run prosody"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting Prosody XMPP Server"
+ start-stop-daemon --start -b --pidfile ${PIDFILE} \
+ --make-pidfile --user ${USER} --exec ${COMMAND}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Prosody XMPP Server"
+ start-stop-daemon --stop --pidfile ${PIDFILE} \
+ --user ${USER} --exec ${COMMAND}
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading configuration of Prosody XMPP Server"
+ start-stop-daemon --pidfile ${PIDFILE} --signal HUP
+ eend $?
+}